# Introduction

{% hint style="warning" %}
You are referring to the **`Legacy`** version of KyberSwap docs.

For the most updated information, please refer to:

* [**`Classic`**](https://github.com/KyberNetwork/kyberswap-documentation/blob/main/reference/legacy/api-abi/broken-reference/README.md)
* [**`Elastic`**](/reference/legacy/kyberswap-elastic.md)
* [**`Limit Order`**](/kyberswap-solutions/limit-order.md)
* [**`Aggregator`**](/kyberswap-solutions/kyberswap-aggregator.md)
  {% endhint %}

### Overview[​](https://docs.kyberswap.com/Legacy/api-abi/api_abi-intro#overview) <a href="#overview" id="overview"></a>

The API/ABI section provides in-depth information and documentation about Kyber Network's smart contracts & ABIs, RESTful APIs, Widgets and Plugins.

The [smart contracts](https://docs.kyberswap.com/Legacy/api-abi/api_abi-kybernetworkproxy.md) define the Kyber protocol and allow users to do decentralised token swaps while the [RESTful APIs](https://docs.kyberswap.com/Legacy/api-abi/api_abi-restfulapioverview.md) give users (without much smart contract knowledge) the ability to interact with our smart contracts. [Widgets](https://docs.kyberswap.com/Legacy/api-abi/api_abi-widgetsoverview.md) and [Plugins](https://docs.kyberswap.com/Legacy/api-abi/api_abi-pluginsoverview.md) are straightforward approaches that can be implemented on your application to provide token swap functionality to your platforms.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kyberswap.com/reference/legacy/api-abi/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
